Bug 730380 - Can not import a certificate via the cli
Summary: Can not import a certificate via the cli
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel62 732509
TreeView+ depends on / blocked
 
Reported: 2011-08-12 17:20 UTC by Bryan Kearney
Modified: 2011-12-06 17:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 732509 (view as bug list)
Environment:
Last Closed: 2011-12-06 17:23:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1695 normal SHIPPED_LIVE subscription-manager bug fix and enhancement update 2011-12-06 01:23:29 UTC

Description Bryan Kearney 2011-08-12 17:20:41 UTC
GUI has this functionality, the cli does not.

Comment 4 John Sefler 2011-08-12 19:15:26 UTC
Background...
It was decided a long time ago that a CLI "root" user could accomplish import using: cp <import_file> /etc/pki/entitlement

However, the design has changed so that an entitlement cert from rhsm-web can now have a key appended (see bug 712980).  As such a CLI import function makes sense to handle splitting the contents of the import file..

Comment 5 Bryan Kearney 2011-08-15 18:05:19 UTC
fixed in master at eeb90f106bc8fe32baf797ae33bdfc48608738f2.

Comment 8 spandey 2011-09-07 08:51:55 UTC
verified using following steps 


[root@dhcp201-207 ~]# rpm -qa | grep subscription
subscription-manager-firstboot-0.96.8-1.git.18.770d58e.el6.x86_64
subscription-manager-gnome-0.96.8-1.git.18.770d58e.el6.x86_64
subscription-manager-0.96.8-1.git.18.770d58e.el6.x86_64
[root@dhcp201-207 ~]# subscription-manager list --avail
Error: You need to register this system by running `register` command before using this option.
[root@dhcp201-207 ~]# subscription-manager import --certificate /tmp/4177067579706068544.pem 
Successfully imported certificate 4177067579706068544.pem
[root@dhcp201-207 ~]# ls /etc/pki/entitlement/
4177067579706068544-key.pem  4177067579706068544.pem
[root@dhcp201-207 ~]# 

successfully imported entitlement cert via cli 

Working fine moving defect status from ON_QA to verified

Comment 9 errata-xmlrpc 2011-12-06 17:23:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1695.html


Note You need to log in before you can comment on or make changes to this bug.